Page MenuHomePhabricator

Record "should-have" metrics for TwoColConflict
Open, Needs TriagePublic

Description

There are some things we should be curious about, but the work can wait until later:

  • How many chunks are in the conflict? (To help us understand the complexity of the conflict.)
  • How many diff spans are in the "other" chunks, total? How many in "my" chunks? (Also to understand complexity.)
  • How many chunks include no diff spans? (To understand the redundancy of our interface.)
  • How much time elapsed between entering the conflict workflow and successful save? (To understand editor workload.)
  • Does the user have JS running?
  • Ability to deduplicate the conflicts using (wiki, baseRevisionId, and wpStarttime)

Event Timeline

awight created this task.Feb 20 2020, 9:52 AM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Mar 5 2020, 2:55 PM
awight claimed this task.Mar 9 2020, 10:09 AM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-03-04 board.
awight added a subscriber: Andrew-WMDE.

I'll try to get the JS detection merged today.

Change 577299 had a related patch set uploaded (by Awight; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Find a way to track if Javascript is enabled.

https://gerrit.wikimedia.org/r/577299

Change 577299 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Find a way to track if Javascript is enabled.

https://gerrit.wikimedia.org/r/577299

JS detection works for me when using the legacy source editor, but not when using VisualEditor. I think this is due to differences in the #editform, or how the parameters are marshalled for the final POST.

Change 578320 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Detect whether an edit came from VisualEditor

https://gerrit.wikimedia.org/r/578320

awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Mar 9 2020, 1:32 PM

Change 578320 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Detect whether an edit came from VisualEditor

https://gerrit.wikimedia.org/r/578320

Note that we're about to get 1 week of bad "hasJavascript" data, because the VE patch didn't make it into the current branch. I would recommend a SWAT deployment to make the window of bad data as short as possible, and so that we get the data sooner.

When querying the data, we'll have to be careful about using a start date after this glitch. I'll also mention somewhere in the Analytics errata.

Change 579221 had a related patch set uploaded (by WMDE-Fisch; owner: Awight):
[mediawiki/extensions/TwoColConflict@wmf/1.35.0-wmf.23] Detect whether an edit came from VisualEditor

https://gerrit.wikimedia.org/r/579221

Change 579221 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.35.0-wmf.23] Detect whether an edit came from VisualEditor

https://gerrit.wikimedia.org/r/579221

Mentioned in SAL (#wikimedia-operations) [2020-03-12T12:00:10Z] <tarrow@deploy1001> Synchronized php-1.35.0-wmf.23/extensions/TwoColConflict: SWAT: [[gerrit:579221|Detect whether an edit came from VisualEditor (T245722)]] (duration: 01m 10s)

awight added a comment.EditedMar 12 2020, 1:15 PM

Note that we're about to get 1 week of bad "hasJavascript" data, because the VE patch didn't make it into the current branch. I would recommend a SWAT deployment to make the window of bad data as short as possible, and so that we get the data sooner.

When querying the data, we'll have to be careful about using a start date after this glitch. I'll also mention somewhere in the Analytics errata.

The cutover time should be 2020-03-12 13:00 UTC, all hasJavascript data before that is garbage. We also need to verify the fix by creating an identifiable conflict on a group2 wiki, from VisualEditor, and finding it in the EventLogging data.

Update: the 1.35.0-wmf.23 version hasn't been deployed to group2 yet, so data is still being recorded incorrectly.

awight removed awight as the assignee of this task.Mar 18 2020, 10:22 PM
awight claimed this task.
awight removed awight as the assignee of this task.
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)

Latest Javascript stats:

select wiki, count(*) as total, sum(if(event.hasJavascript, 1, 0)) as hasJavascript from event.twocolconflictconflict where year=2020 and month=3 and day>19 group by wiki order by hasJavascript desc limit 10;

wiki         total   hasjavascript
enwiki       136     133
ptwiki       50      49
commonswiki  29      27
eswiki       26      26
kowiki       21      21
dewiki       20      20
zhwiki       13      13
itwiki       11      11
frwiki       9       9
plwiki       8       8

That's 2.2% no-JS on enwiki and 6.9% no-JS on commonswiki.

awight updated the task description. (Show Details)Apr 4 2020, 8:18 AM